Subject: Re: bug#16830: [Bug] 24.3.50; massive slow down in forward-line

From: "Stefan-W. Hahn" <[email-masked]>
Date: Sat, 22 Feb 2014 09:38:42 +0100

Mail von Stefan Monnier, Fri, 21 Feb 2014 at 12:50:10 -0500:

Good morning,

> >> If not, perhaps you could show a file with which you see this.
> > No, sorry.
> 
> Could you maybe "neuter" the file?  E.g pass it through
> 
>    sed 's/[[:alnum:]]/a/'
> 
> so that it doesn't contain any important information any more (while
> still triggering the problem)?

I have 'neutered' the file as you suggested and rewritten the item
in which the or-structure must be preserved.

If you search for #### you will find the item, which shows the problem.
If you then type C-c C-c on the #+BEGIN line you will get it.

I observed that it is not as slow as in the original file. Perhaps this
has to do with to fontifying, because org-mode now has much less to fontify.
It also makes no difference if the items after this item are inside the
file.

But anyway it is compared to an older emacs where it takes less then a
second to update the table.

Hopes this will help.

(I send the file just to you two.)

With kind regards,
Stefan

-- 
Stefan-W. Hahn                          It is easy to make things.
                                        It is hard to make things simple.